Loading...
Searching...
No Matches
test_rep< T, M >

## Detailed Description

template<class T, class M>
class rheolef::test_rep< T, M >

Definition at line 93 of file test.h.

## Public Types

using | size_type = std::size_t
using | memory_type = M
using | value_type = undeterminated_basic< T >
using | scalar_type = T
using | float_type = typename float_traits< T >::type
using | geo_type = geo_basic< float_type, M >
using | space_type = space_basic< float_type, M >
using | diff_type = details::differentiate_option::type
using | is_elementwise = std::true_type

## Public Member Functions

| test_rep (const space_type &V)
| test_rep (const test_rep< T, M > &)
test_rep< T, M > & | operator= (const test_rep< T, M > &)
const space_type & | get_vf_space () const
space_constant::valued_type | valued_tag () const
size_type | n_derivative () const
void | initialize (const piola_on_pointset< float_type > &pops, const integrate_option &iopt)
void | initialize (const band_basic< float_type, memory_type > &gh, const piola_on_pointset< float_type > &pops, const integrate_option &iopt)
void | initialize (const space_basic< float_type, memory_type > &Xh, const piola_on_pointset< float_type > &pops, const integrate_option &iopt)
template<class Value , diff_type Diff>
void | evaluate (const geo_basic< T, M > &omega_K, const geo_element &K, const details::differentiate_option &gopt, Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value) const
template<class Value , diff_type Diff>
void | evaluate_on_side (const geo_basic< T, M > &omega_K, const geo_element &K, const side_information_type &sid, const details::differentiate_option &gopt, Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value) const
template<class Value >
void | valued_check () const
template<class Value >
void | grad_valued_check () const
template<class Value >
void | div_valued_check () const
template<class Value >
void | curl_valued_check () const
template<class Value >
void | local_dg_merge_on_side (const geo_basic< T, M > &omega_K, const geo_element &S, const geo_element &K0, const geo_element &K1, const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value0, const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value1, Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value) const

## Public Attributes

space_type | _V
fem_on_pointset< float_type > | _fops
bool | _is_inside_on_local_sides
bool | _is_on_band
band_basic< float_type, M > | _gh

## Static Public Attributes

static const space_constant::valued_type | valued_hint = space_constant::last_valued

## Protected Member Functions

void | _element_initialize (const geo_element &K) const
void | _element_initialize_on_side (const geo_element &K, const side_information_type &sid)
void | _evaluate_init (const reference_element &hat_K) const

## Member Typedef Documentation

## size_type

template<class T , class M >

using size_type = std::size_t

Definition at line 97 of file test.h.

## memory_type

template<class T , class M >

using memory_type = M

Definition at line 98 of file test.h.

## value_type

template<class T , class M >

using value_type = undeterminated_basic<T>

Definition at line 99 of file test.h.

## scalar_type

template<class T , class M >

using scalar_type = T

Definition at line 100 of file test.h.

## float_type

template<class T , class M >

using float_type = typename float_traits<T>::type

Definition at line 101 of file test.h.

## geo_type

template<class T , class M >

using geo_type = geo_basic <float_type,M>

Definition at line 102 of file test.h.

## space_type

template<class T , class M >

using space_type = space_basic<float_type,M>

Definition at line 103 of file test.h.

## diff_type

template<class T , class M >

using diff_type = details::differentiate_option::type

Definition at line 104 of file test.h.

## is_elementwise

template<class T , class M >

using is_elementwise = std::true_type

Definition at line 105 of file test.h.

## Constructor & Destructor Documentation

## test_rep() [1/2]

template<class T , class M >

test_rep | ( | const space_type & | V | ) |

explicit

Definition at line 30 of file test.cc.

## test_rep() [2/2]

template<class T , class M >

test_rep | ( | const test_rep< T, M > & | x | ) |

Definition at line 39 of file test.cc.

## Member Function Documentation

## operator=()

template<class T , class M >

test_rep< T, M > & operator= | ( | const test_rep< T, M > & | x | ) |

Definition at line 50 of file test.cc.

## get_vf_space()

template<class T , class M >

const space_type & get_vf_space | ( |  | ) | const

Definition at line 115 of file test.h.

## valued_tag()

template<class T , class M >

space_constant::valued_type valued_tag | ( |  | ) | const

Definition at line 117 of file test.h.

## n_derivative()

template<class T , class M >

size_type n_derivative | ( |  | ) | const

Definition at line 118 of file test.h.

## initialize() [1/3]

template<class T , class M >

void initialize | ( | const piola_on_pointset< float_type > & | pops,
|  | const integrate_option & | iopt
| ) |  |

Definition at line 65 of file test.cc.

## initialize() [2/3]

template<class T , class M >

void initialize | ( | const band_basic< float_type, memory_type > & | gh,
|  | const piola_on_pointset< float_type > & | pops,
|  | const integrate_option & | iopt
| ) |  |

Definition at line 85 of file test.cc.

## initialize() [3/3]

template<class T , class M >

void initialize | ( | const space_basic< float_type, memory_type > & | Xh,
|  | const piola_on_pointset< float_type > & | pops,
|  | const integrate_option & | iopt
| ) |  |

Definition at line 75 of file test.cc.

## evaluate()

template<class T , class M >
template<class Value , details::differentiate_option::type Diff>

void evaluate | ( | const geo_basic< T, M > & | omega_K,
|  | const geo_element & | K,
|  | const details::differentiate_option & | gopt,
|  | Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value
| ) |  | const

Definition at line 288 of file test.cc.

## evaluate_on_side()

template<class T , class M >
template<class Value , details::differentiate_option::type Diff>

void evaluate_on_side | ( | const geo_basic< T, M > & | omega_K,
|  | const geo_element & | K,
|  | const side_information_type & | sid,
|  | const details::differentiate_option & | gopt,
|  | Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value
| ) |  | const

Definition at line 410 of file test.cc.

## valued_check()

template<class T , class M >
template<class Value >

void valued_check | ( |  | ) | const

Definition at line 152 of file test.h.

## grad_valued_check()

template<class T , class M >
template<class Value >

void grad_valued_check | ( |  | ) | const

Definition at line 159 of file test.h.

## div_valued_check()

template<class T , class M >
template<class Value >

void div_valued_check | ( |  | ) | const

Definition at line 167 of file test.h.

## curl_valued_check()

template<class T , class M >
template<class Value >

void curl_valued_check | ( |  | ) | const

Definition at line 175 of file test.h.

## local_dg_merge_on_side()

template<class T , class M >
template<class Value >

void local_dg_merge_on_side | ( | const geo_basic< T, M > & | omega_K,
|  | const geo_element & | S,
|  | const geo_element & | K0,
|  | const geo_element & | K1,
|  | const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value0,
|  | const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value1,
|  | Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value
| ) |  | const

Definition at line 467 of file test.cc.

## _element_initialize()

template<class T , class M >

void _element_initialize | ( | const geo_element & | K | ) | const

protected

## _element_initialize_on_side()

template<class T , class M >

void _element_initialize_on_side | ( | const geo_element & | K,
|  | const side_information_type & | sid
| ) |  |

protected

## _evaluate_init()

template<class T , class M >

void _evaluate_init | ( | const reference_element & | hat_K | ) | const

protected

## Member Data Documentation

## valued_hint

template<class T , class M >

const space_constant::valued_type valued_hint = space_constant::last_valued

static

Definition at line 116 of file test.h.

## _V

template<class T , class M >

space_type _V

Definition at line 196 of file test.h.

## _fops

template<class T , class M >

fem_on_pointset<float_type> _fops

Definition at line 197 of file test.h.

## _is_inside_on_local_sides

template<class T , class M >

bool _is_inside_on_local_sides

Definition at line 198 of file test.h.

## _is_on_band

template<class T , class M >

bool _is_on_band

Definition at line 199 of file test.h.

## _gh

template<class T , class M >

band_basic<float_type,M> _gh

Definition at line 200 of file test.h.

The documentation for this class was generated from the following files:

- /build/rheolef-mDkPTY/rheolef-7.2/main/lib/test.h
- /build/rheolef-mDkPTY/rheolef-7.2/main/lib/test.cc